Subject: Re: Importing from tarballs; add, rm, update-index?

From: Jakub Narebski <[email-masked]>
Date: Fri, 12 Jan 2007 21:20:53 +0100

[Cc: [email-masked]]

Chris Riddoch wrote:

> I've got a very, very old codebase I'm trying to wrap my head around.
> It was apparently once tracked with RCS, but the ,v files are long
> gone and all that remains are a series of tarballs on an FTP site
> containing alpha, beta, and final releases of various versions of the
> project.  There's a logical progression, but between each there are
> new files, deleted files, and lots of changed files.  gitk will at
> least help me make sense of the actual changes.  I've got part of a
> shell script to automate this process.

http://git.or.cz/gitwiki/GitFaq#import-tar

(because this kind usage is/should be rare, using plumbing here is not an
error, I think).
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git